MV(1)

NAME
mv - move (rename) files

SYNOPSIS
mv [OPTION]... [-T] SOURCE DEST
mv [OPTION]... SOURCE... DIRECTORY
mv [OPTION]... -t DIRECTORY SOURCE...

DESCRIPTION

Rename SOURCE to DEST, or move SOURCE(s) to DIRECTORY.

Mandatory arguments to long options are mandatory for short options too.

--backup[=CONTROL]
    make a backup of each existing destination file

-b  like --backup but does not accept an argument

-f, --force
    do not prompt before overwriting

-i, --interactive
    prompt before overwrite

-n, --no-clobber
    do not overwrite an existing file

If you specify more than one of -i, -f, -n, only the final one takes effect.

--strip-trailing-slashes
    remove any trailing slashes from each SOURCE argument

-S, --suffix=SUFFIX
    override the usual backup suffix

-t, --target-directory=DIRECTORY
    move all SOURCE arguments into DIRECTORY

-T, --no-target-directory
    treat DEST as a normal file

-u, --update
    move only when the SOURCE file is newer than the destination file or when the destination file is missing

-v, --verbose
    explain what is being done

-Z, --context
    set SELinux security context of destination file to default type

--help
    display this help and exit

--version
    output version information and exit

The backup suffix is '~', unless set with --suffix or SIMPLE_BACKUP_SUFFIX. The version control method may be selected via the --backup option or through the VERSION_CONTROL environment variable. Here are the values:

none, off
    never make backups (even if --backup is given)

numbered, t
    make numbered backups

existing, nil
    numbered if numbered backups exist, simple otherwise

simple, never
    always make simple backups

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report mv translation bugs to <http://translationproject.org/team/>

AUTHOR
Written by Mike Parker, David MacKenzie, and Jim Meyering.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
rename(2)

The full documentation for mv is maintained as a Texinfo manual. If the info and mv programs are properly installed at your site, the command

    info coreutils 'mv invocation'

should give you access to the complete manual.